org.firebirdsql.gds.ng.wire.auth

## Interface AuthenticationPluginSpi

All Known Implementing Classes:
  AbstractSrpAuthenticationPluginSpi, LegacyAuthenticationPluginSpi, Srp224AuthenticationPluginSpi, Srp256AuthenticationPluginSpi, Srp384AuthenticationPluginSpi, Srp512AuthenticationPluginSpi, SrpAuthenticationPluginSpi

    public interface AuthenticationPluginSpi

Service provider interface for authentication plugins.

Since:
  3.0
Author:
  Mark Rotteveel

### Method Summary

Methods
`AuthenticationPlugin` `createPlugin()`
`java.lang.String` `getPluginName()`

### Method Detail

#### getPluginName

    java.lang.String getPluginName()

Returns:
  Name of the plugin as used by Firebird

#### createPlugin

    AuthenticationPlugin createPlugin()

Returns:
  Plugin instance